CREATE TABLE hns_subject_tl (
    SUBJECT_ID               NUMBER(18, 0),
    SUBJECT_NAME             VARCHAR2(800)    NOT NULL,
    LANGUAGE                 VARCHAR2(16) ,
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG             VARCHAR2(4)  ,
    SUBJECT_ID               NUMBER(18, 0),
    SUBJECT_NAME             VARCHAR2(800)    NOT NULL,
    LANGUAGE                 VARCHAR2(16) ,
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG             VARCHAR2(4)  ,
    CONSTRAINT pk_hns_subject_tl PRIMARY KEY (SUBJECT_ID, LANGUAGE, SUBJECT_ID, LANGUAGE)
);
